com.informix.csm

## Class IfxCssOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.informix.csm.IfxCssOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class IfxCssOutputStream
    extends java.io.FilterOutputStream

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`IfxCssOutputStream(java.io.OutputStream Os, IfxCsm myCSM)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxCssOutputStream

    public IfxCssOutputStream(java.io.OutputStream Os,
                      IfxCsm myCSM)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`